<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/hashed_array.php';
require_once 'lib/tv/abstract_tv.php';
require_once 'lib/tv/default_epg_item.php';

require_once 'demo_channel.php';

///////////////////////////////////////////////////////////////////////////

class DemoTv extends AbstractTv{
    public function __construct(){
        parent::__construct(
            AbstractTv::MODE_CHANNELS_N_TO_M,
            DemoConfig::TV_FAVORITES_SUPPORTED,
            true);
    }

    public function get_fav_icon_url(){
        return DemoConfig::FAV_CHANNEL_GROUP_ICON_PATH;
    }

    ///////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////

    protected function load_channels(&$plugin_cookies){
		hd_print('load chanels');
        $this->channels = new HashedArray();
        $this->groups = new HashedArray();

        $this->groups->put(
            new AllChannelsGroup(
                $this,
                DemoConfig::ALL_CHANNEL_GROUP_CAPTION,
                DemoConfig::ALL_CHANNEL_GROUP_ICON_PATH));

        $channel1 = new DemoChannel(
            "1",
            "Channel 1",
            "plugin_file://icons/logo.jpg",
            "http://w4.mostvideo.tv/tv/ch1.m3u8", 1, 2, 2);

        $this->channels->put($channel1);

        $channel2 = new DemoChannel(
            "2",
            "Channel 2",
            "plugin_file://icons/logo.jpg",
            "http://w4.mostvideo.tv/heltv/ch2.m3u8", 2, 2, 2);

        $this->channels->put($channel2);

        $channel3 = new DemoChannel(
            "3",
            "Channel 3",
            "plugin_file://icons/logo.jpg",
            "http://w4.mostvideo.tv/sat/ch3.m3u8", 3, 2, 2);

        $this->channels->put($channel3);

        $channel4 = new DemoChannel(
            "4",
            "Channel 4",
            "plugin_file://icons/logo.jpg",
            "http://w4.mostvideo.tv/sat/ch4.m3u8", 4, 2, 2);

        $this->channels->put($channel4);

    }

    ///////////////////////////////////////////////////////////////////////////
    ///////////////////////////////////////////////////////////////////////////

    public function get_day_epg_iterator($channel_id, $day_start_ts, &$plugin_cookies){
        if($channel_id == 1)
          $url = 'http://mostvideo.tv/tv/json.php';
        if($channel_id == 2)
          $url = 'http://lekaris.tv/json2.php';
        if($channel_id == 3)
          $url = 'http://mostvideo.tv/tv/json.php';
        if($channel_id == 4)
          $url = 'http://mostvideo.tv/tv/json.php';
		
		$doc = HD::http_get_document($url);
		
		$reply = json_decode($doc);
		if ($reply === null)
			hd_print('Invalid data received from server');
				
        $epg = array();	
	
		$tv = $reply->TV;
			
      	foreach ($tv as $epg_item) {
			$date_now = strtotime("today");			
			$date_from = strtotime($epg_item->DATE_ACTIVE_FROM);//21.06.2016 06:00:00
			$date_to = strtotime($epg_item->DATE_ACTIVE_TO);
			
			if($date_from >= $day_start_ts && $date_from <= $day_start_ts+86400){
				$epg[] = new DefaultEpgItem(
					strval($epg_item->NAME),
					strval($epg_item->PREVIEW_TEXT),
					intval($date_from),
					intval($date_to)
				);
				//hd_print($epg_item->NAME.'--'.$epg_item->PREVIEW_TEXT.'--'.$date_from.'--'.$date_to.';');
			}			
		}			

        return new EpgIterator($epg, $day_start_ts, $day_start_ts + 86400);
    }
}

///////////////////////////////////////////////////////////////////////////
?>
